Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002073TestLinkAPI - XMLRPCpublic2009-02-06 16:462009-03-17 15:40
ReporterJaskaJ 
Assigned Tofman 
PrioritynormalSeverityfeature requestReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.8 RC 4 
Fixed in Version1.8 RC 5 
Summary0002073: Summary, steps and expected results missing from test cases in getTestCasesForTestPlan results
DescriptionSummary, steps and expected results are missing from found test cases when fetching test cases of a test plan with TL API method getTestCasesForTestPlan.
These fields are needed by the tester using an external application that uses Testlink. Is there some reason why these aren't included in results?
TagsNo tags attached.
Database (MySQL,Postgres,etc)
BrowserMozilla Firefox 3.0.6
PHP Version5.2.8
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships

-  Notes
(0005293)
fman (administrator)
2009-02-06 17:38

initial spec do not seem to need this info
(0005297)
JaskaJ (reporter)
2009-02-06 22:46

We implemented this feature by adding the following code in testplan.class.php (version 1.96) to method get_linked_tcversions to line 644:
"TCV.summary, TCV.steps, TCV.expected_results," .

If you consider this a useful feature, please add it to main line.
(0005298)
fman (administrator)
2009-02-06 23:41

OK, I will give a look, thanks for your suggestions

- Issue History
Date Modified Username Field Change
2009-02-06 16:46 JaskaJ New Issue
2009-02-06 16:46 JaskaJ Browser => Mozilla Firefox 3.0.6
2009-02-06 16:46 JaskaJ PHP Version => 5.2.8
2009-02-06 17:37 fman Status new => assigned
2009-02-06 17:37 fman Assigned To => fman
2009-02-06 17:38 fman Note Added: 0005293
2009-02-06 22:46 JaskaJ Note Added: 0005297
2009-02-06 23:42 fman Note Added: 0005298
2009-02-11 15:32 fman Status assigned => resolved
2009-02-11 15:32 fman Fixed in Version => next DEV - 1.8 RC 5
2009-02-11 15:32 fman Resolution open => fixed
2009-03-17 15:40 mhavlat Status resolved => closed
2013-04-25 17:30 fman Category TL API => XMLRPC API
2013-04-25 17:30 fman Category XMLRPC API => API - XMLRPC



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker